require 'csv'
require 'iconv'
class Potentialmember
  include Mongoid::Document
  include Mongoid::Potentialmember
 

  field :name
  field :email
  field :phone
  field :company
  field :website
  field :address
  field :work_types
 
  validates_presence_of :name
  validates_presence_of :email
  validates_presence_of :phone
  validates_presence_of :company
  
  def self.to_csv(options = {})
    CSV.generate(options) do |csv|
      csv << column_names
      all.each do |potentialmember|
        csv << potentialmember.attributes.values_at(*column_names)
      end
    end
  end
end
 
